package com.inkasso.factoring.creditmanagement.service;

import com.inkasso.factoring.creditmanagement.entity.Enterprise;
import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.creditmanagement.entity.SupplierInfo;

import java.util.List;

/**
 * <p>
 * 企业信息 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-11-25
 */
public interface IEnterpriseService extends IService<Enterprise> {

    /**
     * 关键字查询企业信息
     * @param keyword
     * @return
     */
    List<Enterprise> getBusinessByKeyWord(String keyword);

    List<Enterprise> findSupplierInfo(Long sysUserId);

    List<Enterprise> findEnterpriseInfo(Long cSupplierId);

    /**
     * 根据关键字查询税务局网址
     */
    String getWebAddress(String keyword);

}
